Package com.sas.lsaf.workflow

## Enum FlowAttributeType

- java.lang.Object
- - java.lang.Enum<FlowAttributeType>
  - - com.sas.lsaf.workflow.FlowAttributeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FlowAttributeType>`

      public enum FlowAttributeType
      extends java.lang.Enum<FlowAttributeType>

  The types to map process flow elements with values.
  Since:
    2.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` | The attribute type is `Boolean`.
    `DATE` | The attribute type is date.
    `FILE` | The attribute type is file.
    `FOLDER` | The attribute type is folder.
    `NUMERIC` | The attribute type is numeric.
    `PRINCIPAL` | The attribute type is principal.
    `TEXT` | The attribute type is text.
    `USER` | Attribute type is a user.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FlowAttributeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FlowAttributeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER

          public static final FlowAttributeType USER

      Attribute type is a user.

    - #### PRINCIPAL

          public static final FlowAttributeType PRINCIPAL

      The attribute type is principal. The values for this type are `group` or `user`.

    - #### FILE

          public static final FlowAttributeType FILE

      The attribute type is file.

    - #### FOLDER

          public static final FlowAttributeType FOLDER

      The attribute type is folder.

    - #### DATE

          public static final FlowAttributeType DATE

      The attribute type is date. The value for this type is `date`.

    - #### TEXT

          public static final FlowAttributeType TEXT

      The attribute type is text.

    - #### NUMERIC

          public static final FlowAttributeType NUMERIC

      The attribute type is numeric.

    - #### BOOLEAN

          public static final FlowAttributeType BOOLEAN

      The attribute type is `Boolean`. The values for this type are `TRUE` and `FALSE`.

  - ### Method Detail

    - #### values

          public static FlowAttributeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlowAttributeType c : FlowAttributeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlowAttributeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null